| Home | Libraries | People | FAQ | More

#### beast_close_socket

Default socket close function.

##### Synopsis

Defined in header `<boost/beast/core/stream_traits.hpp>`

    template<
        class Protocol,
        class Executor>
    void
    beast_close_socket(
        net::basic_socket< Protocol, Executor >& sock);

##### Description

This function is not meant to be called directly. Instead, it is called automatically when using `close_socket`. To enable closure of user-defined types or classes derived from a particular user-defined type, this function should be overloaded in the corresponding namespace for the type in question.

##### See Also

`close_socket`

Convenience header `<boost/beast/core.hpp>`